package com.yifu.cloud.plus.v1.yifu.auth.util;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 登录属性配置初始化
 */
// @Component
public class LoginProperties {

	/*public String appid = "wxcb81e4a2ad8d9012";

	public String appsecret = "546f366801ad42fec8e67393ed484879";*/

	public String appid = "wxfb3a14ee64c87046";

	public String appsecret = "e2143c5a1f635e039122de27f29354fe";

	public String redirectUri = "https://www.ngrok.xiaomiqiu.cn/admin/hi";

	public String errorUri = "/error";

	public String callbackUri = "https://www.ngrok.xiaomiqiu.cn/oauth/weixin/callback";

	/*@Value("${weixin.login.appid}")
	protected String appid;

	@Value("${weixin.login.appsecret}")
	protected String appsecret;

	@Value("${weixin.login.redirectUri}")
	protected String redirectUri;

	@Value("${weixin.login.errorUri}")
	protected String errorUri;

	@Value("${weixin.login.callbackUri}")
	protected String callbackUri;*/

	public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public String getAppsecret() {
		return appsecret;
	}

	public void setAppsecret(String appsecret) {
		this.appsecret = appsecret;
	}

	public String getRedirectUri() {
		return redirectUri;
	}

	public void setRedirectUri(String redirectUri) {
		this.redirectUri = redirectUri;
	}

	public String getErrorUri() {
		return errorUri;
	}

	public void setErrorUri(String errorUri) {
		this.errorUri = errorUri;
	}

	public String getCallbackUri() {
		return callbackUri;
	}

	public void setCallbackUri(String callbackUri) {
		this.callbackUri = callbackUri;
	}

}
